<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
  
// database connection will be here
// include database and object files
include_once '../config/database.php';
include_once '../users/users.php';
  
// instantiate database and product object
$database = new Database();
$db = $database->getConnection();
  
// initialize object
$users = new Users($db);

$request_method=$_SERVER["REQUEST_METHOD"];

// get posted data
$data = file_get_contents("php://input");

switch($request_method)
{
    case 'POST':
        // make sure data is not empty
        if(!empty($data)){
            // set product property values
            $users->blackoutDates = $data;
            
            $result = $users->coachUpdateBlackOutDates();
            
            if(!empty($result)){
                // set response code - 200 OK
                http_response_code(200);
                // show products data in json format
                echo json_encode($result);
            }else{
                http_response_code(400);
                echo json_encode($result);
            }
        }else{
            // set response code - 400 bad request
            http_response_code(400);
            // tell the user
            echo json_encode(array("message" => "Request Error"));
        }
        
        break;
        
        default:
            // set response code - 405 bad request
            http_response_code(405);
            // tell the user
            echo json_encode(array("message" => "Invalid Method"));
            break;
}